Atom feed of this document
 
 
 

 4.1.1. List All Limits

Verb URI Description
GET /limits List all applicable limits.

Normal Response Code(s): 200

Error Response Code(s): dnsFault (400, 500), serviceUnavailable (503), unauthorized (401)

This call provides a list of all applicable limits for the specified account.

The following examples show the requests and corresponding responses to list all limits for the specified account:

 

Example 4.1. List Limits Request: XML

GET https://dns.api.rackspacecloud.com/v1.0/1234/limits
Accept: application/xml
X-Auth-Token:
									ea85e6ac-baff-4a6c-bf43-848020ea3812
Content-Type: application/xml
Content-Length: 0

 

Example 4.2. List Limits Request: JSON

GET https://dns.api.rackspacecloud.com/v1.0/1234/limits
Accept: application/json
X-Auth-Token:
									ea85e6ac-baff-4a6c-bf43-848020ea3812
Content-Type: application/json
Content-Length: 0

 

Example 4.3. List Limits Response: XML

Status: 200 OK
Date: Thu, 28 Jul 2011 21:54:21 GMT
X-API-VERSION:
									1.0.17
Content-Type: application/xml
Content-Length: 808

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<limits xmlns="http://docs.openstack.org/common/api/v1.0">
    <rates>
        <rate uri="*/status/*" regex=".*/v\d+\.\d+/(\d+/status).*">
            <limit verb="GET" value="5" remaining="0" unit="SECOND"/>
        </rate>
        <rate uri="*/domains*" regex=".*/v\d+\.\d+/(\d+/domains).*">
            <limit verb="GET" value="100" remaining="0" unit="MINUTE"/>
            <limit verb="POST" value="25" remaining="0" unit="MINUTE"/>
            <limit verb="PUT" value="50" remaining="0" unit="MINUTE"/>
            <limit verb="DELETE" value="50" remaining="0" unit="MINUTE"/>
        </rate>
    </rates>
    <absolute>
        <limit name="domains" value="500"/>
        <limit name="records per domain" value="500"/>
    </absolute>
</limits>

 

Example 4.4. List Limits Response: JSON

Status: 200 OK
Date: Thu, 28 Jul 2011 21:54:21 GMT
X-API-VERSION:
									1.0.17
Content-Type: application/json
Content-Length: 831

{
  "rates" : {
    "rate" : [ {
      "uri" : "*/status/*",
      "limit" : [ {
        "unit" : "SECOND",
        "verb" : "GET",
        "value" : 5
      } ],
      "regex" : ".*/v\\d+\\.\\d+/(\\d+/status).*"
    }, {
      "uri" : "*/domains*",
      "limit" : [ {
        "unit" : "MINUTE",
        "verb" : "GET",
        "value" : 100
      }, {
        "unit" : "MINUTE",
        "verb" : "POST",
        "value" : 25
      }, {
        "unit" : "MINUTE",
        "verb" : "PUT",
        "value" : 50
      }, {
        "unit" : "MINUTE",
        "verb" : "DELETE",
        "value" : 50
      } ],
      "regex" : ".*/v\\d+\\.\\d+/(\\d+/domains).*"
    } ]
  },
  "absolute" : {
    "limit" : [ {
      "name" : "domains",
      "value" : 500
    }, {
      "name" : "records per domain",
      "value" : 500
    } ]
  }
}

For details about the limits information returned, refer to Section 3.8, “Limits”.



loading table of contents...